---
title: DOMStringList
slug: Web/API/DOMStringList
tags:
  - API
  - DOM
  - DOMStringList
  - Reference
---
<p>{{ APIRef("DOM") }}</p>

<p>A type returned by some APIs which contains a list of <a class="internal" href="/En/DOM/DOMString" title="En/DOM/DOMString">DOMString</a> (strings).</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DOMStringList.length")}} {{ReadOnlyInline}}</dt>
 <dd>Returns the length of the list.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("DOMStringList.item()")}}</dt>
 <dd>Returns a {{domxref("DOMString")}}.</dd>
 <dt>{{domxref("DOMStringList.contains()")}}</dt>
 <dd>Returns {{jsxref("Boolean")}} indicating if the given string is in the list</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "common-dom-interfaces.html#the-domstringlist-interface", "DOMStringList")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMStringList")}}</p>
